# $Revision: 1.18 $, $Date: 2009/03/08 11:16:35 $
# TODO:
# - get rid of internal copies of regex library
# /TODO
Summary:	A Clamav Antivirus Redirector for Squid
Summary(pl.UTF-8):	Skaner antywirusowy clamav dla Squida
Name:		squidclamav
Group:		Networking/Utilities
License:	GPL v2
Version:	4.0
Release:	1
Source0:	http://www.samse.fr/GPL/squidclamav/%{name}-%{version}.tar.gz
# Source0-md5:	0a5e2fa8a4270a90235621fce9269949
URL:		http://www.samse.fr/GPL/squidclamav/
BuildRequires:	clamav-devel >= 0.82
BuildRequires:	curl-devel >= 7.12.1
Requires:	squid
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/squid

%description
A Clamav Antivirus Redirector for Squid.

%description -l pl.UTF-8
Skaner antywirusowy clamav dla Squida.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_sysconfdir}}

install squidclamav $RPM_BUILD_ROOT%{_bindir}
install squidclamav.conf.dist $RPM_BUILD_ROOT%{_sysconfdir}/squidclamav.conf

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog INSTALL README
%attr(640,root,squid) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/squidclamav.conf
%attr(755,root,root) %{_bindir}/squidclamav

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: squidclamav.spec,v $
Revision 1.18  2009/03/08 11:16:35  duddits
- up to 4.0

Revision 1.17  2008/10/22 20:23:04  areq
- 3.7

Revision 1.16  2008/10/02 13:14:50  areq
- 3.6

Revision 1.15  2008/09/08 21:50:29  dzeus
- rel. 2

Revision 1.14  2008/08/26 06:20:05  dzeus
- rel. 1

Revision 1.13  2008/06/22 18:49:20  blekot
- up to 3.5
- TODO still exist (no idea what to do!?)

Revision 1.12  2007-12-27 23:54:09  zbyniu
- up to 3.2

Revision 1.11  2007-06-13 20:53:51  zawadaa
- up to 3.0

Revision 1.10  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:33  baggins
- converted to UTF-8

Revision 1.8  2006/07/09 09:34:09  dzeus
- up to 2.3

Revision 1.7  2005/12/31 08:56:49  dzeus
- up to 2.2, Changelog added

Revision 1.6  2005/12/19 16:42:16  adasi
- INSTALL contains squid configuration instructions

Revision 1.5  2005/03/21 15:37:42  blues
- move configs to /etc/squid

Revision 1.4  2005/03/16 17:32:12  zawadaa
- ver up to 1.4

Revision 1.3  2005/02/28 20:28:51  qboosh
- unified

Revision 1.2  2005/02/28 01:36:24  zbyniu
- proper Source0-md5

Revision 1.1  2005/02/28 01:18:37  zbyniu
- initial
